Bug 162928 - [cmake][GStreamer][MSE][EME] Build MSE and EME code after refactoring
Summary: [cmake][GStreamer][MSE][EME] Build MSE and EME code after refactoring
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Enrique Ocaña
URL:
Keywords:
Depends on:
Blocks: 157314
  Show dependency treegraph
 
Reported: 2016-10-04 11:43 PDT by Enrique Ocaña
Modified: 2016-10-26 01:51 PDT (History)
1 user (show)

See Also:


Attachments
Patch (10.18 KB, patch)
2016-10-04 12:01 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (11.08 KB, patch)
2016-10-16 12:14 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (11.16 KB, patch)
2016-10-26 01:25 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (11.16 KB, patch)
2016-10-26 01:25 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enrique Ocaña 2016-10-04 11:43:34 PDT
Consolidate all the source file tree changes after refactoring.
Comment 1 Enrique Ocaña 2016-10-04 12:01:29 PDT
Created attachment 290631 [details]
Patch
Comment 2 Enrique Ocaña 2016-10-04 12:02:35 PDT
Comment on attachment 290631 [details]
Patch

Wait until all the patches in 157314 are ready.
Comment 3 Alex Christensen 2016-10-05 09:39:16 PDT
Comment on attachment 290631 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=290631&action=review

> Tools/Scripts/webkitperl/FeatureList.pm:256
> +      define => "ENABLE_ENCRYPTED_MEDIA_V2", default => isGtk(), value => \$encryptedMediaV2Support },

heads up - this was renamed in https://bugs.webkit.org/show_bug.cgi?id=162903
Comment 4 Xabier Rodríguez Calvar 2016-10-08 09:36:15 PDT
Comment on attachment 290631 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=290631&action=review

As Alex says, better to wait until the changes are done before rebasing this.

> Source/WebCore/platform/GStreamer.cmake:127
> +        "${WEBCORE_DIR}/platform/graphics/gstreamer/eme"

If header files are properly flagged with *ENCRYPTED_MEDIA*, you can move this to the common section.

> Source/WebCore/platform/GStreamer.cmake:136
> +    list(APPEND WebCore_SOURCES
> +        platform/graphics/gstreamer/eme/WebKitClearKeyDecryptorGStreamer.cpp
> +        platform/graphics/gstreamer/eme/WebKitCommonEncryptionDecryptorGStreamer.cpp

If these files are properly flagged with *ENCRYPTED_MEDIA*, you can move this to the common section.

> Source/cmake/FindLibGcrypt.cmake:18
> +# Copyright 2014 Nicolás Alvarez <nicolas.alvarez@gmail.com>

I think you can add our copyright here.
Comment 5 Enrique Ocaña 2016-10-16 12:14:27 PDT
Created attachment 291774 [details]
Patch
Comment 6 Enrique Ocaña 2016-10-26 01:25:09 PDT
Created attachment 292904 [details]
Patch
Comment 7 Enrique Ocaña 2016-10-26 01:25:36 PDT
Created attachment 292905 [details]
Patch
Comment 8 Enrique Ocaña 2016-10-26 01:51:13 PDT
Comment on attachment 292905 [details]
Patch

Clearing flags on attachment: 292905

Committed r207891: <http://trac.webkit.org/changeset/207891>
Comment 9 Enrique Ocaña 2016-10-26 01:51:21 PDT
All reviewed patches have been landed.  Closing bug.